Open CASCADE Technology: HeaderSection_HeaderRecognizer Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Member Functions
HeaderSection_HeaderRecognizer Class Reference

Recognizes STEP Standard Header Entities (FileName, FileDescription, FileSchema) More...

`#include <HeaderSection_HeaderRecognizer.hxx>`

Inheritance diagram for HeaderSection_HeaderRecognizer:
[legend]

## Public Member Functions
| HeaderSection_HeaderRecognizer ()
Public Member Functions inherited from StepData_FileRecognizer
Standard_Boolean | Evaluate (const TCollection_AsciiString &akey, Handle< Standard_Transient > &res)
Handle< Standard_Transient > | Result () const
void | Add (const Handle< StepData_FileRecognizer > &reco)
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual void | Delete () const
| Memory deallocator for transient classes. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Protected Member Functions
void | Eval (const TCollection_AsciiString &key)
| Recognizes data types of Header STEP Standard. More...
Protected Member Functions inherited from StepData_FileRecognizer
| StepData_FileRecognizer ()
void | SetOK (const Handle< Standard_Transient > &aresult)
void | SetKO ()

## Detailed Description

Recognizes STEP Standard Header Entities (FileName, FileDescription, FileSchema)

## Constructor & Destructor Documentation

HeaderSection_HeaderRecognizer::HeaderSection_HeaderRecognizer | ( |  | ) |

## Member Function Documentation

void HeaderSection_HeaderRecognizer::Eval | ( | const TCollection_AsciiString & | key | ) |
| protectedvirtual

Recognizes data types of Header STEP Standard.

Implements StepData_FileRecognizer.

The documentation for this class was generated from the following file:

- HeaderSection_HeaderRecognizer.hxx